package dk.nsp.xdscleanup.stack.registry.timebased;

import dk.nsp.backgroundjob.stack.StackOperation;
import dk.nsp.xdscleanup.factory.CleanupOperationsFactory;
import dk.nsp.xdscleanup.model.DocumentTypeCleanupSpecification;
import dk.nsp.xdscleanup.nxrg.model.DeletionMode;

import java.util.List;
import java.util.stream.Collectors;

public class TypeSpecificationBasedRegistryCleanupSupplier implements StackOperation {
    private final List<DocumentTypeCleanupSpecification> documentTypeCleanupSpecifications;
    private final CleanupOperationsFactory cleanupOperationsFactory;
    private final DeletionMode deletionMode;

    public TypeSpecificationBasedRegistryCleanupSupplier(List<DocumentTypeCleanupSpecification> documentTypeCleanupSpecifications,
                                                         DeletionMode deletionMode,
                                                         CleanupOperationsFactory cleanupOperationsFactory) {
        this.documentTypeCleanupSpecifications = documentTypeCleanupSpecifications;
        this.deletionMode = deletionMode;
        this.cleanupOperationsFactory = cleanupOperationsFactory;
    }

    @Override
    public List<StackOperation> run() {
        return documentTypeCleanupSpecifications.stream()
                .map(cleanupOperationsFactory::createTypeAndTimeBasedRegistryCleanupSupplier)
                .collect(Collectors.toList());
    }

}
