package dk.nsp.xdscleanup.config;

import org.openehealth.ipf.commons.ihe.xds.core.XdsClientFactory;
import org.openehealth.ipf.commons.ihe.xds.iti18.Iti18PortType;
import org.openehealth.ipf.commons.ihe.xds.iti57.Iti57PortType;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class NxrgTestConfiguration extends AbstractIheTestConfiguration {

    @Value("${nxrg.service.endpoint}" + "/iti18")
    private String iti18Endpoint;

    @Value("${nxrg.service.endpoint}" + "/iti57")
    private String iti57Endpoint;

    @Bean
    public Iti18PortType getIti18PortType() {
        XdsClientFactory xdsClientFactory = generateXdsRegistryClientFactory("wsdl/iti18.wsdl", iti18Endpoint, AbstractIheTestConfiguration.XDS_B_2007_TARGET_NAMESPACE, Iti18PortType.class);
        Iti18PortType client = (Iti18PortType) xdsClientFactory.getClient();

        initProxy(client);

        return client;
    }
    @Bean
    public Iti57PortType documentRegistryServiceIti57() {
        XdsClientFactory xdsClientFactory = generateXdsRegistryClientFactory("wsdl/iti57.wsdl", iti57Endpoint, AbstractIheTestConfiguration.XDS_B_2010_TARGET_NAMESPACE, Iti57PortType.class);
        Iti57PortType client = (Iti57PortType) xdsClientFactory.getClient();

        initProxy(client);

        return client;
    }

}
