package dk.nsp.xdscleanup.config;

import org.openehealth.ipf.commons.ihe.xds.core.XdsClientFactory;
import org.openehealth.ipf.commons.ihe.xds.iti41.Iti41PortType;
import org.openehealth.ipf.commons.ihe.xds.iti43.Iti43PortType;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class OpenXdsTestConfiguration extends AbstractIheTestConfiguration {

    @Value("${openxds.service.endpoint}")
    private String openxdsEndpoint;

    @Value("${openxds.repository.uniqueid}")
    public String openxdsRepositoryUniqueId;

    @Bean
    public Iti41PortType getDocumentRepositoryServiceIti41() {
        XdsClientFactory xdsClientFactory = generateXdsRepositoryClientFactory("wsdl/iti41.wsdl", openxdsEndpoint, Iti41PortType.class);
        Iti41PortType client = (Iti41PortType) xdsClientFactory.getClient();

        initProxy(client);

        return client;
    }

    @Bean
    public Iti43PortType getDocumentRepositoryServiceIti43() {
        XdsClientFactory xdsClientFactory = generateXdsRepositoryClientFactory("wsdl/iti43.wsdl", openxdsEndpoint, Iti43PortType.class);
        Iti43PortType client = (Iti43PortType) xdsClientFactory.getClient();

        initProxy(client);

        return client;
    }

    @Bean
    public String openxdsRepositoryUniqueId() {
        return openxdsRepositoryUniqueId;
    }
}
