package dk.nsp.xdscleanup.stepdefinitions;

import dk.nsp.xdscleanup.util.HttpClient;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;
import java.util.concurrent.TimeUnit;

public class DeprecateCleanupStepDefinitions {

    @Value("${xdscleanup.deprecate.service.endpoint}" + "/deprecated-document-entries/start")
    private String cleanupEndpoint;
    @Value("${xdscleanup.deprecate.service.endpoint}" + "/deprecated-document-entries/status")
    private String cleanupStatusEndpoint;
    private int responseCode;

    @When("Deprecate cleanup servicens status endpoint kaldes")
    public void deprecateCleanupHealthEndpointKaldes() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupStatusEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @When("Deprecate cleanup jobbet køres")
    public void deprecateCleanupJobbetKoeres() throws IOException {
        waitSeconds(3);// vi skal være sikre på at dato sammenligning i slettejobbet bliver trigget til en sletning. Property deletion.deprecated.document.cleanup.days skal være sat til 0 og så venter vi et par sekunder.
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("Returneres http kode 200 OK fra deprecate cleanup jobbet")
    public void returneresHttpKode200OKFraDeprecateCleanupJobbet() {
        Assert.assertEquals(200, responseCode);
    }

    @Then("Vent {int} sekunder") // kan bruges hvis man har behov for at se i databasen undervejs i forbindelse med fejlsøgnings
    public void waitSeconds(int seconds) {
        try {
            TimeUnit.SECONDS.sleep(seconds);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

}
