-- Fjerner alle foreign keys. De genskabes senere ned i bunden.
ALTER TABLE associations DROP FOREIGN KEY association_fk_content;
ALTER TABLE associations DROP FOREIGN KEY association_fk_source_association;
ALTER TABLE associations DROP FOREIGN KEY association_fk_source_documententry;
ALTER TABLE associations DROP FOREIGN KEY association_fk_source_folder;
ALTER TABLE associations DROP FOREIGN KEY association_fk_source_submissionset;
ALTER TABLE associations DROP FOREIGN KEY association_fk_target_association;
ALTER TABLE associations DROP FOREIGN KEY association_fk_target_documententry;
ALTER TABLE associations DROP FOREIGN KEY association_fk_target_folder;
ALTER TABLE associations DROP FOREIGN KEY association_fk_target_submissionset;
ALTER TABLE documententry_eventcode DROP FOREIGN KEY documententry_eventcode_documententry_fk;
ALTER TABLE submissionsets DROP FOREIGN KEY submissionset_fk_content;
ALTER TABLE documententry_referenceid DROP FOREIGN KEY documententry_referenceid_documententry_fk;
ALTER TABLE folders DROP FOREIGN KEY folder_fk_content;
ALTER TABLE documententry_author DROP FOREIGN KEY documententry_author_documententry_fk;
ALTER TABLE documententry_confidentialitycode DROP FOREIGN KEY documententry_confidentialitycode_documententry_fk;
ALTER TABLE documententries DROP FOREIGN KEY documententry_fk_content;

-- Ændre alle id'er fra 'INT' til 'BIGINT'
ALTER TABLE associationcontent CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE associations CHANGE associationcontentid associationcontentid BIGINT;
ALTER TABLE associations CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE associations CHANGE source_association source_association BIGINT;
ALTER TABLE associations CHANGE target_association target_association BIGINT;
ALTER TABLE deleted_documententries CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE documententries CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE documententries CHANGE documententrycontentid documententrycontentid BIGINT;
ALTER TABLE documententries_status90_deletion CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE documententrycontent CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE documententry_author CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE documententry_confidentialitycode CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE documententry_eventcode CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE documententry_referenceid CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE fieldmigrationstatus CHANGE progressid progressid BIGINT;
ALTER TABLE fieldmigrationstatus CHANGE targetid targetid BIGINT;
ALTER TABLE fieldmigrationstatus CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE foldercontent CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE folders CHANGE foldercontentid foldercontentid BIGINT;
ALTER TABLE folders CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE notification_configuration CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE submissionsetcontent CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE submissionsets CHANGE id id BIGINT AUTO_INCREMENT;
ALTER TABLE submissionsets CHANGE submissionsetcontentid submissionsetcontentid BIGINT;
ALTER TABLE unsent_notifications CHANGE id id BIGINT AUTO_INCREMENT;

-- Genskab alle foreign keys
ALTER TABLE associations ADD CONSTRAINT association_fk_content FOREIGN KEY (associationcontentid) REFERENCES associationcontent(id) on delete cascade;
ALTER TABLE associations ADD CONSTRAINT association_fk_source_association FOREIGN KEY (source_association) REFERENCES associations(id);
ALTER TABLE associations ADD CONSTRAINT association_fk_source_documententry FOREIGN KEY (sourceuuid_documententry) REFERENCES documententries(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_source_folder FOREIGN KEY (sourceuuid_folder) REFERENCES folders(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_source_submissionset FOREIGN KEY (sourceuuid_submissionset) REFERENCES submissionsets(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_target_association FOREIGN KEY (target_association) REFERENCES associations(id);
ALTER TABLE associations ADD CONSTRAINT association_fk_target_documententry FOREIGN KEY (targetuuid_documententry) REFERENCES documententries(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_target_folder FOREIGN KEY (targetuuid_folder) REFERENCES folders(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_target_submissionset FOREIGN KEY (targetuuid_submissionset) REFERENCES submissionsets(entryuuid);
ALTER TABLE documententry_eventcode ADD CONSTRAINT documententry_eventcode_documententry_fk FOREIGN KEY (documententry_entryuuid) REFERENCES documententries(entryuuid) on delete cascade;
ALTER TABLE submissionsets ADD CONSTRAINT submissionset_fk_content FOREIGN KEY (submissionsetcontentid) REFERENCES submissionsetcontent(id) on delete cascade;
ALTER TABLE documententry_referenceid ADD CONSTRAINT documententry_referenceid_documententry_fk FOREIGN KEY (documententry_entryuuid) REFERENCES documententries(entryuuid) on delete cascade;
ALTER TABLE folders ADD CONSTRAINT folder_fk_content FOREIGN KEY (foldercontentid) REFERENCES foldercontent(id) on delete cascade;
ALTER TABLE documententry_author ADD CONSTRAINT documententry_author_documententry_fk FOREIGN KEY (documententry_entryuuid) REFERENCES documententries(entryuuid) on delete cascade;
ALTER TABLE documententry_confidentialitycode ADD CONSTRAINT documententry_confidentialitycode_documententry_fk FOREIGN KEY (documententry_entryuuid) REFERENCES documententries(entryuuid) on delete cascade;
ALTER TABLE documententries ADD CONSTRAINT documententry_fk_content FOREIGN KEY (documententrycontentid) REFERENCES documententrycontent(id) on delete cascade;