-- Fjerner alle foreign keys. De genskabes senere ned i bunden.
ALTER TABLE associations DROP FOREIGN KEY association_fk_content;
ALTER TABLE associations DROP FOREIGN KEY association_fk_source_association;
ALTER TABLE associations DROP FOREIGN KEY association_fk_source_documententry;
ALTER TABLE associations DROP FOREIGN KEY association_fk_source_folder;
ALTER TABLE associations DROP FOREIGN KEY association_fk_source_submissionset;
ALTER TABLE associations DROP FOREIGN KEY association_fk_target_association;
ALTER TABLE associations DROP FOREIGN KEY association_fk_target_documententry;
ALTER TABLE associations DROP FOREIGN KEY association_fk_target_folder;
ALTER TABLE associations DROP FOREIGN KEY association_fk_target_submissionset;
ALTER TABLE documententry_eventcode DROP FOREIGN KEY documententry_eventcode_documententry_fk;
ALTER TABLE submissionsets DROP FOREIGN KEY submissionset_fk_content;
ALTER TABLE documententry_referenceid DROP FOREIGN KEY documententry_referenceid_documententry_fk;
ALTER TABLE folders DROP FOREIGN KEY folder_fk_content;
ALTER TABLE documententry_author DROP FOREIGN KEY documententry_author_documententry_fk;
ALTER TABLE documententry_confidentialitycode DROP FOREIGN KEY documententry_confidentialitycode_documententry_fk;
ALTER TABLE documententries DROP FOREIGN KEY documententry_fk_content;

-- Ændre alle id'er fra 'INT' til 'BIGINT'
ALTER TABLE associationcontent alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE associations alter column associationcontentid BIGINT;
ALTER TABLE associations alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE associations alter column source_association BIGINT;
ALTER TABLE associations alter column target_association BIGINT;
ALTER TABLE deleted_documententries alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE documententries alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE documententries alter column documententrycontentid BIGINT;
ALTER TABLE documententries_status90_deletion alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE documententrycontent alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE documententry_author alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE documententry_confidentialitycode alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE documententry_eventcode alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE documententry_referenceid alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE fieldmigrationstatus alter column progressid BIGINT;
ALTER TABLE fieldmigrationstatus alter column targetid BIGINT;
ALTER TABLE fieldmigrationstatus alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE foldercontent alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE folders alter column foldercontentid BIGINT;
ALTER TABLE folders alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE notification_configuration alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE submissionsetcontent alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE submissionsets alter column id BIGINT AUTO_INCREMENT;
ALTER TABLE submissionsets alter column submissionsetcontentid BIGINT;
ALTER TABLE unsent_notifications alter column id BIGINT AUTO_INCREMENT;

-- Genskab alle foreign keys
ALTER TABLE associations ADD CONSTRAINT association_fk_content FOREIGN KEY (associationcontentid) REFERENCES associationcontent(id) on delete cascade;
ALTER TABLE associations ADD CONSTRAINT association_fk_source_association FOREIGN KEY (source_association) REFERENCES associations(id);
ALTER TABLE associations ADD CONSTRAINT association_fk_source_documententry FOREIGN KEY (sourceuuid_documententry) REFERENCES documententries(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_source_folder FOREIGN KEY (sourceuuid_folder) REFERENCES folders(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_source_submissionset FOREIGN KEY (sourceuuid_submissionset) REFERENCES submissionsets(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_target_association FOREIGN KEY (target_association) REFERENCES associations(id);
ALTER TABLE associations ADD CONSTRAINT association_fk_target_documententry FOREIGN KEY (targetuuid_documententry) REFERENCES documententries(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_target_folder FOREIGN KEY (targetuuid_folder) REFERENCES folders(entryuuid);
ALTER TABLE associations ADD CONSTRAINT association_fk_target_submissionset FOREIGN KEY (targetuuid_submissionset) REFERENCES submissionsets(entryuuid);
ALTER TABLE documententry_eventcode ADD CONSTRAINT documententry_eventcode_documententry_fk FOREIGN KEY (documententry_entryuuid) REFERENCES documententries(entryuuid) on delete cascade;
ALTER TABLE submissionsets ADD CONSTRAINT submissionset_fk_content FOREIGN KEY (submissionsetcontentid) REFERENCES submissionsetcontent(id) on delete cascade;
ALTER TABLE documententry_referenceid ADD CONSTRAINT documententry_referenceid_documententry_fk FOREIGN KEY (documententry_entryuuid) REFERENCES documententries(entryuuid) on delete cascade;
ALTER TABLE folders ADD CONSTRAINT folder_fk_content FOREIGN KEY (foldercontentid) REFERENCES foldercontent(id) on delete cascade;
ALTER TABLE documententry_author ADD CONSTRAINT documententry_author_documententry_fk FOREIGN KEY (documententry_entryuuid) REFERENCES documententries(entryuuid) on delete cascade;
ALTER TABLE documententry_confidentialitycode ADD CONSTRAINT documententry_confidentialitycode_documententry_fk FOREIGN KEY (documententry_entryuuid) REFERENCES documententries(entryuuid) on delete cascade;
ALTER TABLE documententries ADD CONSTRAINT documententry_fk_content FOREIGN KEY (documententrycontentid) REFERENCES documententrycontent(id) on delete cascade;